; RUN: llvm-as < %s | llc -march=xcore -mcpu=xs1b-generic > %t1.s
; RUN: grep lsub %t1.s | count 2
; RUN: grep neg %t1.s | count 1

; Should compile to one lsub and one neg
define i64 @f1(i32 %x, i32 %y) nounwind {
entry:
	%0 = zext i32 %x to i64		; <i64> [#uses=1]
	%1 = zext i32 %y to i64		; <i64> [#uses=1]
	%2 = sub i64 %1, %0		; <i64> [#uses=1]
	ret i64 %2
}

; Should compile to one lsub and one sub
define i64 @f2(i64 %x, i32 %y) nounwind {
entry:
	%0 = zext i32 %y to i64		; <i64> [#uses=1]
	%1 = sub i64 %x, %0		; <i64> [#uses=1]
	ret i64 %1
}
