; RUN: llvm-as < %s | llc -march=xcore > %t1.s
; RUN: grep "get r0, ps[r0]" %t1.s | count 1
; RUN: grep "set ps[r0], r1" %t1.s | count 1
declare i32 @llvm.xcore.getps(i32)

define i32 @getps(i32 %reg) nounwind {
	%result = call i32 @llvm.xcore.getps(i32 %reg)
	ret i32 %result
}

declare void @llvm.xcore.setps(i32, i32)

define void @setps(i32 %reg, i32 %value) nounwind {
	call void @llvm.xcore.setps(i32 %reg, i32 %value)
	ret void
}
